# Class: pe_postgresql::client
#
#   This class installs postgresql client software.
#
#   *Note* don't forget to make sure to add any necessary yum or apt
#   repositories if specifying a custom version.
#
# Parameters:
#   [*package_name*]  - The name of the postgresql client package.
#   [*ensure*] - the ensure parameter passed to the postgresql client package resource
# Actions:
#
# Requires:
#
# Sample Usage:
#
class pe_postgresql::client (
  $package_name   = $pe_postgresql::params::client_package_name,
  $package_ensure = 'present'
) inherits pe_postgresql::params {

  package { 'postgresql-client':
    ensure  => $package_ensure,
    name    => $package_name,
    tag     => 'postgresql',
  }

  $file_ensure = $package_ensure ? {
    'present' => 'file',
    true      => 'file',
    'absent'  => 'absent',
    false     => 'absent',
    default   => 'file',
  }
  file { "/usr/local/bin/validate_postgresql_connection.sh":
    ensure => $file_ensure,
    source => "puppet:///modules/pe_postgresql/validate_postgresql_connection.sh",
    owner  => 0,
    group  => 0,
    mode   => 0755,
  }

}
